> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/authentication/create-authentication-token.md).

# Creating API token

Make API uses authentication tokens to authenticate requests. You must include your authentication token in the headers of all requests that you send to the API.

Generate and manage API tokens from your profile in the Make interface.

{% hint style="warning" %}
If you have access to multiple Make zones, generate separate tokens for each of them.
{% endhint %}

{% stepper %}
{% step %}
Sign in to Make and click your avatar at the bottom-left corner of the page.
{% endstep %}

{% step %}
Click **Profile**.
{% endstep %}

{% step %}
Open the **API** tab.

![Choose API](/files/E3GcqArbExWY6G8o7kTL)
{% endstep %}

{% step %}
Click **Add token**.

![Add token](/files/W0xp9xzCCsNWfI2VGWgR)
{% endstep %}

{% step %}
In the **Add token** dialog, do the following:

* **Label**: type a custom name for your token that will help you recognize what the token is used for
* **Scopes**: select the scopes you need for working with API resources. For more information about scopes, refer to [Make roles and API scopes](/api-documentation/authentication/api-scopes-overview.md).
  {% endstep %}

{% step %}
Click **Save**.
{% endstep %}
{% endstepper %}

Make generates your token. Copy it and store it in a safe place.

{% hint style="warning" %}
**Do not share your token with anyone!**

Once you leave the **Profile** section, parts of your token will be hidden for security reasons. You won't be able to see or copy your token again.
{% endhint %}

With an active token, you are ready to make API calls. For more details, refer to the [Getting started](/api-documentation/getting-started.md) section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/authentication/create-authentication-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
